MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001070VCMISound, music, videospublic2012-09-08 13:042015-06-21 16:59
ReporterAlexVinS 
Assigned ToAVS 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.89b 
Target VersionFixed in Version0.98c 
Summary0001070: Crash on starting game with custom main menu video (Windows video player only)
DescriptionDisaster happened.
Reason: 0xc0000005 - EXCEPTION_ACCESS_VIOLATION at 001b:01E9104A
Attempt to read from 0xFFFFFFFE
Thread ID: 10f0 [4336]
Steps To Reproduce1) Download ZZZ-crash.zip
2) Unpack it in into VCMI/Mods directory
3) Start the game
TagsCrash
Attached Files? file icon VCMI_client.exe_crashinfo_2.dmp [^] (910,419 bytes) 2012-09-08 13:31
txt file icon VCMI_Client_log_2.txt [^] (29,261 bytes) 2012-09-08 13:32 [Show Content]
png file icon Буфер обмена01.png [^] (345,297 bytes) 2012-09-08 13:32


zip file icon ZZZ-crash.zip [^] (1,084 bytes) 2012-09-08 14:35

- Relationships

-  Notes
(0002985)
Ivan (developer)
2012-09-08 13:20

В логах клиента русификация названа "Z Mod Rus"
В логах сервера - "5 Wog Rus" и запускается карта Cave of Gerfrex а не VCMI_tests

Логи с разных запусков?
(0002986)
AlexVinS (developer)
2012-09-08 13:27
edited on: 2012-09-08 13:33

с разных, похоже. Щас удалю все и залью новые версии.
UPD. Логи перезалил, серверного лога нет вообще. +скриншот

(0002987)
Ivan (developer)
2012-09-08 13:39

- падает только при включеной русификации?
- падает ли на других картах?
(0002988)
AlexVinS (developer)
2012-09-08 13:51

Без русифискации не падает (карта грузится, дальше не тестил). Другие карты также падают, лог по сути такой же (адрес исключения иногда меняется, например 001b:01DF104A)
(0002989)
AlexVinS (developer)
2012-09-08 13:56
edited on: 2012-09-08 14:01

А при такой настройке уже не падает.
{
    "filesystem":
    {
        "DATA/" :
        [
            {"type" : "file", "path" : "ALL/MODS/Z WoG Rus/Data/era rus.pac"},
            {"type" : "dir", "path" : "ALL/MODS/Z WoG Rus/Data"}
        ],
                "SPRITES/":
        [
            {"type" : "file", "path" : "ALL/MODS/Z WOG Rus/Data/era rus.pac"}
        ],
                "SOUNDS/":
        [
            {"type" : "file", "path" : "ALL/MODS/Z WoG Rus/Data/era rus snd.snd"}
        ]
}

ИТОГО падает только если подключен видео архив.

(0002990)
Ivan (developer)
2012-09-08 14:23

Это объяснит почему у меня падения нет - видео плееры под Вин и линухой полностью отдельные.

Походе все дело в acredit.smk - видео что в главном меню используется.

Видео загружаю сюда, описание бага меняю на более правильное.
(0002991)
AlexVinS (developer)
2012-09-08 14:26

У меня этот acredit.smk в корне лежит, ему точно там место?
(0002992)
Ivan (developer)
2012-09-08 14:31

В корне чего? В русификации он валяется в архиве и как результат - загружается последним. Какие-либо другие acredit-ы проигнорятся.
(0002993)
AlexVinS (developer)
2012-09-08 14:38
edited on: 2012-09-08 14:41

В папке самой игры (причем появляется он там изниоткуда).

(0002994)
Ivan (developer)
2012-09-08 14:54

Это кажется "фича" плеера под вин - видео вначале распаковывается в файл, а затем проигрывается.
(0002995)
Ivan (developer)
2012-09-08 15:23

Tow, can you check this? It looks that Windows video player can't close file correctly.
(0002996)
Tow (developer)
2012-09-08 16:00

Translated stacktrace:
     SMACKW32.DLL!01e9104a() Unknown
     [Frames below may be incorrect and/or missing, no symbols loaded for SMACKW32.DLL]
     VCMI_client.exe!CGuiHandler::popInt(IShowActivatable * top=0x017565e8) Line 50 C++
     VCMI_client.exe!CGPreGame::removeFromGui() Line 537 C++
> VCMI_client.exe!CSelectionScreen::startGame() Line 839 C++
     VCMI_client.exe!CFunctionList<void __cdecl(void)>::operator()() Line 62 C++
     VCMI_client.exe!SelectionTab::onDoubleClick() Line 1506 C++
     VCMI_client.exe!CGuiHandler::handleEvent(SDL_Event * sEvent=0x00000007) Line 193 C++
     VCMI_client.exe!CGuiHandler::handleEvents() Line 141 C++
     VCMI_client.exe!CGPreGame::update() Line 498 C++
     VCMI_client.exe!CGuiHandler::run() Line 351 C++
     VCMI_client.exe!boost::`anonymous namespace'::thread_start_function(void *) C++

It looks that the acredit.smk video from the archive is invalid. Or, at least, smack32w.dll doesn't play it properly. What is the source of this file and how should it look? Does H3 play it properly?

I am not getting crash when running VCMI released dev build with that package but I do see some graphical glitches. The debug build of VCMI crashes immediately when trying to show this video.
(0002997)
Ivan (developer)
2012-09-08 16:24

>> Does H3 play it properly?
It looks to be empty - 1 kb file is definitely too small for video.
But neither H3 nor Linux player have crash.

Source is Russian language pack for Era (H3 + WoG localization included)
Downloaded from here: http://bers.heroes35.net/Era%202.3%20Rus.exe [^]
(Self-extracting archive)
(0003004)
Tow (developer)
2012-09-09 23:43

Huh... Spent quite a while on this but I have no idea how to fix this. Crash happens in the SMACK library. I guess we're using it slightly different than H3 but I'm unable to tell what's difference. I'd need to debug H3 but I'm not very competent with reverse engineerign, so this one will have to wait.
[Or we will get rid of bink/smack H3 DLL's and switch to ffmpeg as Ivan suggested.]

As a workaround I can only suggest hiding faulty video file from VCMI or damaging it, so it won't be played.
(0005755)
AVS (administrator)
2015-06-21 16:59

No more actual since switch to ffmpeg on windows

- Issue History
Date Modified Username Field Change
2012-09-08 13:04 AlexVinS New Issue
2012-09-08 13:04 AlexVinS File Added: server_log.txt
2012-09-08 13:05 AlexVinS File Added: VCMI_Server_log.txt
2012-09-08 13:05 AlexVinS File Added: VCMI_client.exe_crashinfo.dmp
2012-09-08 13:06 AlexVinS File Added: VCMI_Client_log.txt
2012-09-08 13:06 AlexVinS Tag Attached: Crash
2012-09-08 13:20 Ivan Note Added: 0002985
2012-09-08 13:27 AlexVinS Note Added: 0002986
2012-09-08 13:31 AlexVinS File Added: VCMI_client.exe_crashinfo_2.dmp
2012-09-08 13:32 AlexVinS File Added: VCMI_Client_log_2.txt
2012-09-08 13:32 AlexVinS File Added: Буфер обмена01.png
2012-09-08 13:33 AlexVinS Note Edited: 0002986 View Revisions
2012-09-08 13:34 Ivan File Deleted: server_log.txt
2012-09-08 13:34 Ivan File Deleted: VCMI_Server_log.txt
2012-09-08 13:34 Ivan File Deleted: VCMI_client.exe_crashinfo.dmp
2012-09-08 13:35 Ivan File Deleted: VCMI_Client_log.txt
2012-09-08 13:39 Ivan Note Added: 0002987
2012-09-08 13:51 AlexVinS Note Added: 0002988
2012-09-08 13:56 AlexVinS Note Added: 0002989
2012-09-08 14:01 AlexVinS Note Edited: 0002989 View Revisions
2012-09-08 14:23 Ivan Note Added: 0002990
2012-09-08 14:23 Ivan File Added: ZZZ-crash.zip
2012-09-08 14:26 Ivan Summary Crash on loading "VCMI_Tests_2011b.h3m" with ERA rusification => Crash on starting game with custom main menu video (Windows video player only)
2012-09-08 14:26 Ivan Steps to Reproduce Updated View Revisions
2012-09-08 14:26 Ivan Additional Information Updated View Revisions
2012-09-08 14:26 AlexVinS Note Added: 0002991
2012-09-08 14:31 Ivan Note Added: 0002992
2012-09-08 14:35 Ivan File Deleted: ZZZ-crash.zip
2012-09-08 14:35 Ivan File Added: ZZZ-crash.zip
2012-09-08 14:38 AlexVinS Note Added: 0002993
2012-09-08 14:41 AlexVinS Note Edited: 0002993 View Revisions
2012-09-08 14:54 Ivan Note Added: 0002994
2012-09-08 15:23 Ivan Note Added: 0002995
2012-09-08 15:23 Ivan Assigned To => Tow
2012-09-08 15:23 Ivan Status new => assigned
2012-09-08 15:23 Ivan Category Other => Sound, music, videos
2012-09-08 16:00 Tow Note Added: 0002996
2012-09-08 16:24 Ivan Note Added: 0002997
2012-09-09 23:43 Tow Note Added: 0003004
2012-09-09 23:43 Tow Status assigned => acknowledged
2015-06-21 16:59 AVS Note Added: 0005755
2015-06-21 16:59 AVS Status acknowledged => closed
2015-06-21 16:59 AVS Assigned To Tow => AVS
2015-06-21 16:59 AVS Resolution open => fixed
2015-06-21 16:59 AVS Fixed in Version => 0.98c

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean